# -*- Mode: perl; indent-tabs-mode: nil -*-
#
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is the Bugzilla Bug Tracking System.
#
# The Initial Developer of the Original Code is Canonical Ltd.
# Portions created by Canonical are Copyright (C) 2008 Canonical Ltd.
# All Rights Reserved.
#
#
# Contributor(s): Bradley Baetz <bbaetz@acm.org>

use strict;
use warnings;

sub REQUIRED_MODULES {
    # Should we somehow parse out the base optional requirements for
    # XML-RPC to be enabled and mark them as required?
    return [
        # Login callbacks
        {
            package => 'libwww-perl',
            module  => 'LWP::UserAgent',
            version => 0,
        },
        # https URL for login callbacks. People are more likely to have
        # IO::Socket::SSL installed than Crypt::SSLEay, since perl-ldap
        # and spamassassin use IO::Socket::SSL.
        {
            package => 'IO-Socket-SSL',
            module  => 'IO::Socket::SSL',
            version => 0,
        }
    ];
}

1;
