# -*- Mode: perl; indent-tabs-mode: nil -*-
#
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is the Bugzilla Launchpad Plugin.
#
# The Initial Developer of the Original Code is Canonical Ltd.
# Portions created by Canonical are Copyright (C) 2008 Canonical Ltd.
# All Rights Reserved.
#
# Contributor(s): Bradley Baetz <bbaetz@acm.org>

package extensions::launchpad::lib::AuthLogin;
use strict;
use base qw(Bugzilla::Auth::Login);

use Bugzilla::Group;

use constant can_logout => 0;
use constant can_login  => 0;
use constant requires_verification => 0;

sub get_login_info {
    my ($self) = @_;

    my $lp_group = new Bugzilla::Group({name => 'launchpad_api'});
    my $users = $lp_group->members_direct;
    my $user  = grep { $_->login =~ /launchpad/ } @$users;

    return { failure => AUTH_NODATA } if !$user;

    return { username => $user };
}

sub fail_nodata {
    ThrowCodeError('launchpad_no_user');
}

1;
