#!/bin/sh
#
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is the Bugzilla Launchpad Plugin.
#
# The Initial Developer of the Original Code is Canonical Ltd.
# Portions created by Canonical are Copyright (C) 2008 Canonical Ltd.
# All Rights Reserved.
#
# Contributor(s): Max Kanat-Alexander <mkanat@bugzilla.org>

PLUGIN_VERSION=`perl -e '$i= do "extensions/launchpad/info.pl";print $i->{version}'`
PACKAGE_DIR="bugzilla-launchpad-$PLUGIN_VERSION"
mkdir $PACKAGE_DIR
cp extensions/launchpad/README $PACKAGE_DIR/
cp -ar extensions/launchpad $PACKAGE_DIR/
bzr diff -rancestor:bzr://bzr.everythingsolved.com/bugzilla/3.2 | \
    filterdiff -x 'extensions/*' -x 'package-extension.sh' \
               -x '.bzrignore' > $PACKAGE_DIR/patch.diff
tar -czf $PACKAGE_DIR.tar.gz $PACKAGE_DIR
rm -rf $PACKAGE_DIR
